1. LegalEntities
Tahdah API
  • Introduction
  • Webhooks
  • Unresolved schema mappings
  • TrustGroups
    • About Trust Groups
    • Endpoints
      • List Trust Groups
      • Create a Trust Group
      • Update Trust Group
      • List Trust Group Legal Entity Members
      • List Trust Group Candidate Members
      • Add Trust Group Member
      • Remove Trust Group Member
    • Member Updated
  • EventCredits
    • Add Credits to Legal Entity
    • Event Credits Updated
  • Tracker
    • About Tracker
    • Get Candidate Targets
    • Get Legal Entity Targets
  • Pathways
    • About Pathways
    • Registrations
      • About Registrations
      • Get Registrations
      • Create Registations
      • Registration Created
    • Get Legal Entity Pathways
    • Get Pathway
  • DigitalBadges
    • Issue Digital Badge
    • Get Badge Templates
  • LegalEntities
    • People/Staff
      • Legal Entity People List
      • Connect a Person to a Legal Entity
      • Person Added
      • Roles Updated
    • Legal Entity Details
      GET
    • Create Legal Entity
      POST
    • Legal Entity Created
  • Candidates
    • EndPoints
      • Create Candidate
      • Update a Candidate
      • Delete Candidate
      • Add/Remove tags to a candidate
    • Webhooks
  • Catalogues
    • Catalogue Entry Published
  • Finance
    • Ledger Entry Created
  • Schemas
    • Inbound
    • Events
      • EventTemplateCreditRequest
      • EventTemplateCredit
    • Catalogue
      • CatalogueEntry
    • Finance
      • Currency
      • InvoiceItem
      • PaymentItem
      • LedgerEntry
      • InvoiceAddress
      • Entity
    • LearningExperiences
      • LearningExperienceRef
      • PathwayTypeRef
    • Candidate
      • CandidateRef
    • LegalEntities
      • RoleRef
      • LegalEntity
      • legalEntityIdentifier
    • TrustGroupMember
    • TrustGroup
    • temp
    • Candidate
    • HATEOAS Link
  1. LegalEntities

Create Legal Entity

Testing
New Genergy Live
https://api.tahdah.me
New Genergy Live
https://api.tahdah.me
POST
/api/legalentities/{legalEntityOwnerId}/legalentities
Creates a new legal entity and returns the id of the newly created legal entity. You can also provide a list of trust group ids to add the legal entity to. For details about how trust groups work see https://developers.tahdah.me/about-trust-groups-871670m0
You can also provide your own reference for the legal entity which is searchable within the tahdah system and also can be configured to show as the legal entities main identifier on any web pages linked to them.
The details supplied for legal entity must be unique so if we already have a legal entity with the same name, company number, charity number or your reference in any of your trust groups this method will return the id of the existing legal entity.

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Path Params

Body Params application/json

Example
{
    "legalEntityDetails": {
        "name": "ACME Limited",
        "tradingName": "ACME Training",
        "description": "We train people",
        "logoUrl": "https://www.images.com/image1.png",
        "publicWebsiteAddress": "https://www.acmetraining.com",
        "contactEmail": "contact@acmetraining.com",
        "contactUsLink": "https://www.acmetraining.com/contact-us",
        "vatNumber": "GB12344567",
        "charityNumber": "4",
        "childAgeLimit": 16,
        "address1": "1 ACME Road",
        "address2": "",
        "address3": "",
        "town": "Chipping Norton",
        "county": "Sussex",
        "postcode": "L18PTD",
        "currencyId": 1,
        "timezone": "UK/London"
    },
    "addToTrustGroups": [
        5889,
        5888,
        5902
    ],
    "yourReference": "LE192882"
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST 'https://api.tahdah.me/api/legalentities//legalentities' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
    "legalEntityDetails": {
        "name": "ACME Limited",
        "tradingName": "ACME Training",
        "description": "We train people",
        "logoUrl": "https://www.images.com/image1.png",
        "publicWebsiteAddress": "https://www.acmetraining.com",
        "contactEmail": "contact@acmetraining.com",
        "contactUsLink": "https://www.acmetraining.com/contact-us",
        "vatNumber": "GB12344567",
        "charityNumber": "4",
        "childAgeLimit": 16,
        "address1": "1 ACME Road",
        "address2": "",
        "address3": "",
        "town": "Chipping Norton",
        "county": "Sussex",
        "postcode": "L18PTD",
        "currencyId": 1,
        "timezone": "UK/London"
    },
    "addToTrustGroups": [
        5889,
        5888,
        5902
    ],
    "yourReference": "LE192882"
}'

Responses

🟢200Success
application/json
Body

Example
{
    "id": 0
}
Modified at 2026-03-11 09:11:05
Previous
Legal Entity Details
Next
Legal Entity Created
Built with